% !TeX spellcheck = en_GB
For this online approach the data is again split into smaller windows, this time of varying sizes. The code can be found in \textbf{timeseries\_analysis\_lda}. For the windows the statical feature generation from section \ref{sec:static_analysis} is applied and a \gls{LDA} model is trained on $80\%$ of the data and used to predict the other $20\%$. Figure \ref{img:lda_accuracy_plot_different_window_sizes} shows the accuracy for different window sizes on the test sample.

\begin{figure}[H]
	\centering
	\includegraphics[width=0.8\textwidth]{images/lda_accuracy_plot_different_window_sizes.png}
	\caption{LDA accuracy with different window sizes}
	\label{img:lda_accuracy_plot_different_window_sizes}
\end{figure}

This model shows already an accuracy above $90\%$ for a 25 measurement window size, meaning the current activity could be relatively accurate predicted online after \SI{0.5}{s} of measuring. The accuracy improves up to $95\%$ for a 175 window sizes.

Furthermore, this model is much less computationally expensive, taking below \SI{50}{ms} for fitting and predicting, making it very suitable for an online prediction model.
